View Issue Details

IDProjectCategoryView StatusLast Update
0000160WishesMacropublic2007-07-16 16:06
ReporteralexfhAssigned Tovskirdin 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version1.70 
Target VersionFixed in Version1.71 
Summary0000160: Хочется F3 и F5 на дисках.
DescriptionF5 - вызов диалога копирование файла "\\.\<буква диска>:". Имя файла по умолчанию - что-нибудь вроде <метка диска>.img.

F3 - вызов view:\\.\<буква диска>:

Возможный способ реализации - через макросы, НО не хватает состояния Drv.CurDrive (CurPos достаточно бестолков для этой цели) и возможности вызова диалога копирования через плагин farcmds (скажем, copy:<source file name>). Желательно, конечно, без макросов это реализовать.
TagsNo tags attached.
Build

Activities

alexy

2007-06-28 17:35

administrator   bugnote:0000499

С самим вишем в корне не согласен но против макроса Drv.CurDrive ничего не имею, перекидываю в вишы макросов.

HaRT

2007-06-29 07:03

reporter   bugnote:0000509

Определить текущую букву диска можно макросом по аналогии с приведённым в теме "Меню дисков. Позиционирование без перехода."
http://forum.farmanager.com/viewtopic.php?p=21502#21502

alexy

2007-06-29 07:24

administrator   bugnote:0000511

Ну нужен или нет Drv.CurDrive пусть решает Валя. Но до того метода на форуме мало кто сможет сам догадатся.

HaRT

2007-07-02 16:09

reporter   bugnote:0000515

Я опубликовал соответствующую подпрограмму: http://forum.farmanager.com/viewtopic.php?p=25288#25288

alexfh

2007-07-03 09:24

reporter   bugnote:0000519

За идею о вычислении текущей буквы - спасибо. После коммента 509 написал макрос - работает. В общем коряво, но работает. Вот только с вызовом диалога копирования проблемы. Пробовал через Temporary panel скопировать \\.\w: стандартным копировщиком - не идет:

   ╔═════════════════════ Copy ═════════════════════╗
   ║ Copying the file ║
   ║ \\.\w: ║
   ║ to ║
   ║ C:\\\.\w: ║
   ║ ░░░░░░░░ ░░░ 0% ║
   ║ ──────── ╔═══════ Error ════════╗ ──────── ║
   ║ ░░░░░░░░ ║ Cannot find the file ║ ░░░ 0% ║
   ║ ──────── ║ \\.\w: ║ ──────── ║
   ║ Files pr ║ Skip Cancel ║ ║
   ║ ──────── ╚══════════════════════╝ ──────── ║
   ║ Time: 0 b/s ║
   ╚════════════════════════════════════════════════╝

Если указать явное имя - практически та же ерунда.

HaRT

2007-07-03 09:27

reporter   bugnote:0000520

См. комментарий 515. Там ссылка на не-корявый макрос.

alexfh

2007-07-03 12:09

reporter   bugnote:0000522

У меня примерно так же. Так же коряво :) Но за идею спасибо.
Конечно, хотелось бы просто еще одно состояние, чтобы не городить таких конструкций.

vskirdin

2007-07-04 12:07

administrator   bugnote:0000524

Речь про Drv.CurDrive? Или есть еще пожелания для Drv.*?

vskirdin

2007-07-04 12:42

administrator   bugnote:0000525

Хмм... а может просто добавить функцию S=GetHotKey() и на этом закончить?
Получится "универсальное" решение.
Вернет 0, если мы не в областях, относящихся к меню (и меню выбора диска), иначе хоткей...

alexfh

2007-07-04 12:50

reporter   bugnote:0000526

это да, вариант хороший. по текущей букве вопрос закроет точно.

vskirdin

2007-07-04 13:08

administrator   bugnote:0000527

Ок. Делаю "S=gethotkey()".
Или лучше "S=gethotkey(N)", где N - нужная позиция в списке от 1 (0 - текущая)?

S - либо "", если хоткея нет или это не меню, либо сам хоткей.

alexfh

2007-07-04 13:16

reporter   bugnote:0000528

да лучше, наверное, с параметром - кому-нибудь да понадобится.

vskirdin

2007-07-04 13:46

administrator   bugnote:0000529

искать после 2240
будет вот так:

S=gethotkey(N)
где N - нужная позиция в списке от 1 (0 - текущая)
    S - либо "", если хоткея нет или N > количества пунктов в меню или это не меню;
Иначе S = сам хоткей.

Issue History

Date Modified Username Field Change
2006-05-04 09:27 alexfh New Issue
2006-05-05 03:42 vskirdin Project Far Manager 1.7x => Wishes
2007-06-28 17:35 alexy Note Added: 0000499
2007-06-28 17:35 alexy Category Drive Menu => Macro
2007-06-29 07:03 HaRT Note Added: 0000509
2007-06-29 07:24 alexy Note Added: 0000511
2007-07-02 16:09 HaRT Note Added: 0000515
2007-07-03 09:24 alexfh Note Added: 0000519
2007-07-03 09:27 HaRT Note Added: 0000520
2007-07-03 12:09 alexfh Note Added: 0000522
2007-07-04 12:07 vskirdin Note Added: 0000524
2007-07-04 12:42 vskirdin Note Added: 0000525
2007-07-04 12:50 alexfh Note Added: 0000526
2007-07-04 13:08 vskirdin Note Added: 0000527
2007-07-04 13:16 alexfh Note Added: 0000528
2007-07-04 13:44 vskirdin Status new => assigned
2007-07-04 13:44 vskirdin Assigned To => vskirdin
2007-07-04 13:46 vskirdin Status assigned => resolved
2007-07-04 13:46 vskirdin Fixed in Version => 1.71
2007-07-04 13:46 vskirdin Resolution open => fixed
2007-07-04 13:46 vskirdin Note Added: 0000529
2007-07-16 16:06 alexy Status resolved => closed